Bug 414801 - KDM crashes at login
KDM crashes at login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 15:23 EST by Ben Boeckel
Modified: 2009-01-09 00:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 153583 None None None Never

  None (edit)
Description Ben Boeckel 2007-12-06 15:23:45 EST
Description of problem:
When logging in, KDM crashes and drops to a console.

Version-Release number of selected component (if applicable):
3.5.8

How reproducible:
95% of the time. I can't tell what makes it not crash the other 5% of the 
time.

Steps to Reproduce:
1. Try to log in.
2. Dropped to console
  
Actual results:
Dropped to console

Expected results:
Login

Additional info:
Relevant dmesg output for when kdm crashes:

The first time it failed, I kept restarting X to try again: 
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Full Duplex, Flow 
Control: RX/TX 
e1000: eth0: e1000_watchdog: 10/100 speed: disabling TSO 
input: Virtual ThinkFinger Keyboard as /class/input/input12 
usb 3-2: usbfs: process 2641 (kdm) did not claim interface 0 before use 
kdm[2641]: segfault at 0000000041506480 rip 00000032d4a043bb rsp 
00000000413fe190 error 6 
input: Virtual ThinkFinger Keyboard as /class/input/input13 
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Full Duplex, Flow 
Control: RX/TX 
e1000: eth0: e1000_watchdog: 10/100 speed: disabling TSO 
input: Virtual ThinkFinger Keyboard as /class/input/input14 
kdm[3127]: segfault at 000000000d696914 rip 00000032d4a04381 rsp 
0000000041400d90 error 4 
input: Virtual ThinkFinger Keyboard as /class/input/input15 
eth0: no IPv6 routers present 
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Full Duplex, Flow 
Control: RX/TX 
e1000: eth0: e1000_watchdog: 10/100 speed: disabling TSO 
input: Virtual ThinkFinger Keyboard as /class/input/input16 
kdm[4731]: segfault at 000000000d696914 rip 00000032d4a04381 rsp 
0000000041400d90 error 4 

Another error: 
input: Virtual ThinkFinger Keyboard as /class/input/input14 
usb 3-2: usbfs: process 2824 (kdm) did not claim interface 0 before use 
kdm[2824]: segfault at 0000000041507c60 rip 00000032d4a043bb rsp 
00000000413fe190 error 6 
input: Virtual ThinkFinger Keyboard as /class/input/input15 

Another: 
input: Virtual ThinkFinger Keyboard as /class/input/input12 
kdm[2691]: segfault at 000000370000010b rip 00000037af872bc9 rsp 
00007fff21130310 error 6 
input: Virtual ThinkFinger Keyboard as /class/input/input13 
input: Virtual ThinkFinger Keyboard as /class/input/input14 
input: Virtual ThinkFinger Keyboard as /class/input/input15
Comment 1 Rex Dieter 2007-12-06 15:30:47 EST
rpm -q kdelibs kdebase thinkfinger
please.

In the meantime, you can see if
rpm -e thinkfinger
helps.
Comment 2 Ben Boeckel 2007-12-06 15:46:50 EST
$ rpm -q kdelibs kdebase thinkfinger
kdelibs-3.5.8-7.fc8
kdebase-3.5.8-5.fc8
thinkfinger-0.3-7.fc8

I'll report on the effect of removing thinkfinger after I boot back up again.

--MathStuf
Comment 3 Rex Dieter 2007-12-06 15:59:22 EST
Updates have been issued, please
yum --enablerepo=updates-testing kdebase
and see if that helps any
Comment 4 Ben Boeckel 2007-12-07 22:27:34 EST
Getting rid of ThinkFinger fixed it. I will test with the kdebase in 
updates-testing later this weekend.

--MathStuf
Comment 5 Bug Zapper 2008-11-26 03:52:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:26:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.